Skip to main content
POST
/
resources
/
plan
Creates a batch of resource plans
curl --request POST \
  --url https://use.hoop.dev/api/resources/plan \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "privileges": [
        "SELECT",
        "INSERT"
      ],
      "role": "ro",
      "scopes": [
        "mydb",
        "otherdb.public"
      ],
      "type": "managed",
      "resource_name": "my-postgres",
      "rotate_password": false,
      "source_role": "pg_read_all_data"
    }
  ]
}
'
import requests

url = "https://use.hoop.dev/api/resources/plan"

payload = { "items": [
{
"privileges": ["SELECT", "INSERT"],
"role": "ro",
"scopes": ["mydb", "otherdb.public"],
"type": "managed",
"resource_name": "my-postgres",
"rotate_password": False,
"source_role": "pg_read_all_data"
}
] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
privileges: ['SELECT', 'INSERT'],
role: 'ro',
scopes: ['mydb', 'otherdb.public'],
type: 'managed',
resource_name: 'my-postgres',
rotate_password: false,
source_role: 'pg_read_all_data'
}
]
})
};

fetch('https://use.hoop.dev/api/resources/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "message": "failed retrieving resource: connection refused",
      "resource_name": "my-postgres",
      "role": "hoopdev_my_postgres_ro_ab3c1f7e",
      "sid": "5701046A-7B7A-4A78-ABB0-A24C95E6FE54",
      "status": "success"
    }
  ]
}
{
"message": "the error description"
}

Body

application/json

The request body

items
object[]
required

The list of plan items to process

Minimum array length: 1

Response

OK

results
object[]

The list of plan results